Retrieve option chain
Returns the option chain for a given instrument. Requires the `marketdata` scope. Available to individual investors. Supported types: EQUITY, UNDERLYING_SECURITY_FOR_INDEX_OPTION.
expirationDate must be one of the dates from Get option expirations.Get the AAPL calls and puts for one expiration date from Get option expirations. The code samples and the playground use this request.
| Name | Type | Required | Description |
|---|---|---|---|
| accountId | string | Yes | - |
The expiration date of the option chain.
The base symbol for which the option chain belongs.
List of call quotes for the given option chain.
List of put quotes for the given option chain.
Invalid input: unsupported instrument type, nonexistent instrument, invalid account, or unauthorized access.
No response body defined
{
"baseSymbol": "string",
"calls": [
{
"instrument": {
"symbol": "string",
"type": "EQUITY"
},
"outcome": "SUCCESS",
"last": "string",
"lastTimestamp": "2023-11-07T05:31:56Z",
"bid": "string",
"bidSize": 123,
"bidTimestamp": "2023-11-07T05:31:56Z",
"ask": "string",
"askSize": 123,
"askTimestamp": "2023-11-07T05:31:56Z",
"volume": 1234567890,
"openInterest": 1234567890,
"previousClose": "string",
"oneDayChange": {
"change": "string",
"percentChange": "string"
},
"optionDetails": {
"greeks": {
"delta": "string",
"gamma": "string",
"theta": "string",
"vega": "string",
"rho": "string",
"impliedVolatility": "string"
},
"strikePrice": "string",
"midPrice": "string"
},
"bondDetails": {
"askMinSize": "string",
"bidMinSize": "string",
"askMarkup": "string",
"bidMarkup": "string",
"suggestedBuyPrice": "string",
"suggestedSellPrice": "string",
"minBuyAmount": "string",
"minBuyIncrementAmount": "string"
}
}
],
"puts": [
{
"instrument": {
"symbol": "string",
"type": "EQUITY"
},
"outcome": "SUCCESS",
"last": "string",
"lastTimestamp": "2023-11-07T05:31:56Z",
"bid": "string",
"bidSize": 123,
"bidTimestamp": "2023-11-07T05:31:56Z",
"ask": "string",
"askSize": 123,
"askTimestamp": "2023-11-07T05:31:56Z",
"volume": 1234567890,
"openInterest": 1234567890,
"previousClose": "string",
"oneDayChange": {
"change": "string",
"percentChange": "string"
},
"optionDetails": {
"greeks": {
"delta": "string",
"gamma": "string",
"theta": "string",
"vega": "string",
"rho": "string",
"impliedVolatility": "string"
},
"strikePrice": "string",
"midPrice": "string"
},
"bondDetails": {
"askMinSize": "string",
"bidMinSize": "string",
"askMarkup": "string",
"bidMarkup": "string",
"suggestedBuyPrice": "string",
"suggestedSellPrice": "string",
"minBuyAmount": "string",
"minBuyIncrementAmount": "string"
}
}
]
}